Package com.independentsoft.office.odf

# Class SearchScope

java.lang.Object
com.independentsoft.office.odf.SearchScope

public final class SearchScope extends Object
Specifies which parts of a document are searched by the find and replace methods.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static int`
  `ALL`
  The whole document.
  `static int`
  `ANNOTATIONS`
  The content of annotations.
  `static int`
  `BODY`
  The document body, including tables, lists and sections.
  `static int`
  `FOOTERS`
  The footers of all master pages.
  `static int`
  `HEADERS`
  The headers of all master pages.
  `static int`
  `HEADERS_AND_FOOTERS`
  The headers and footers of all master pages.
  `static int`
  `NOTES`
  The content of footnotes and endnotes.
  `static int`
  `SHAPES`
  The text of drawing shapes.
  `static int`
  `TEXT_BOXES`
  The content of text boxes.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### BODY

    public static final int BODY
    The document body, including tables, lists and sections.
    See Also:
      Constant Field Values

  - ### HEADERS

    public static final int HEADERS
    The headers of all master pages.
    See Also:
      Constant Field Values

  - ### FOOTERS

    public static final int FOOTERS
    The footers of all master pages.
    See Also:
      Constant Field Values

  - ### NOTES

    public static final int NOTES
    The content of footnotes and endnotes.
    See Also:
      Constant Field Values

  - ### ANNOTATIONS

    public static final int ANNOTATIONS
    The content of annotations.
    See Also:
      Constant Field Values

  - ### TEXT_BOXES

    public static final int TEXT_BOXES
    The content of text boxes.
    See Also:
      Constant Field Values

  - ### SHAPES

    public static final int SHAPES
    The text of drawing shapes.
    See Also:
      Constant Field Values

  - ### HEADERS_AND_FOOTERS

    public static final int HEADERS_AND_FOOTERS
    The headers and footers of all master pages.
    See Also:
      Constant Field Values

  - ### ALL

    public static final int ALL
    The whole document.
    See Also:
      Constant Field Values